List markets
curl --request GET \
--url https://api.bendbasis.com/v1/marketsimport requests
url = "https://api.bendbasis.com/v1/markets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bendbasis.com/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bendbasis.com/v1/markets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bendbasis.com/v1/markets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bendbasis.com/v1/markets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bendbasis.com/v1/markets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"market_id": 125,
"exchange": "bybit",
"symbol": "BTCUSDT",
"base_asset": "BTC",
"quote_asset": "USDT",
"funding_interval": 8,
"funding_rate_apr": {
"live": 4.63,
"1d": 5.38,
"3d": 5.58,
"7d": 3.95,
"15d": 5.22,
"30d": 5.59
},
"open_interest": 4348681438.07,
"volume_24h": 4358578092.2924
},
{
"market_id": 15223,
"exchange": "binance",
"symbol": "BTCUSDC",
"base_asset": "BTC",
"quote_asset": "USDC",
"funding_interval": 8,
"funding_rate_apr": {
"live": 4.54,
"1d": 6.43,
"3d": 6.23,
"7d": 2.86,
"15d": 4.64,
"30d": 6.16
},
"open_interest": 1421876495.73,
"volume_24h": 2773804519.9
}
],
"next_cursor": "eyJ2IjoxLCJxIjoiUzZSVmx5SEh3dXpWdzJVOTJBdFR5UHdxb2l2cDJvQ2Rlc0k3Q3BnOTIxOCIsInZhbHVlIjo0LjU0LCJtYXJrZXRfaWQiOjE1MjIzfQ"
}{
"code": "VALIDATION_ERROR",
"message": "Invalid parameter"
}Markets
List markets
List, filter, and sort markets
GET
/
v1
/
markets
List markets
curl --request GET \
--url https://api.bendbasis.com/v1/marketsimport requests
url = "https://api.bendbasis.com/v1/markets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bendbasis.com/v1/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bendbasis.com/v1/markets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bendbasis.com/v1/markets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bendbasis.com/v1/markets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bendbasis.com/v1/markets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"market_id": 125,
"exchange": "bybit",
"symbol": "BTCUSDT",
"base_asset": "BTC",
"quote_asset": "USDT",
"funding_interval": 8,
"funding_rate_apr": {
"live": 4.63,
"1d": 5.38,
"3d": 5.58,
"7d": 3.95,
"15d": 5.22,
"30d": 5.59
},
"open_interest": 4348681438.07,
"volume_24h": 4358578092.2924
},
{
"market_id": 15223,
"exchange": "binance",
"symbol": "BTCUSDC",
"base_asset": "BTC",
"quote_asset": "USDC",
"funding_interval": 8,
"funding_rate_apr": {
"live": 4.54,
"1d": 6.43,
"3d": 6.23,
"7d": 2.86,
"15d": 4.64,
"30d": 6.16
},
"open_interest": 1421876495.73,
"volume_24h": 2773804519.9
}
],
"next_cursor": "eyJ2IjoxLCJxIjoiUzZSVmx5SEh3dXpWdzJVOTJBdFR5UHdxb2l2cDJvQ2Rlc0k3Q3BnOTIxOCIsInZhbHVlIjo0LjU0LCJtYXJrZXRfaWQiOjE1MjIzfQ"
}{
"code": "VALIDATION_ERROR",
"message": "Invalid parameter"
}Use
market_ids to request several known markets in one call:
curl "https://api.bendbasis.com/v1/markets?market_ids=15036,22162,125"
Query Parameters
Maximum array length:
400Required range:
x >= 1Maximum array length:
100Maximum array length:
100Maximum array length:
100Required range:
1 <= x <= 1000Cursor returned in next_cursor.
Available options:
volume, oi, apr_live, apr_1d, apr_3d, apr_7d, apr_15d, apr_30d Primary sort direction. Null values are always last.
Available options:
asc, desc Was this page helpful?